<template>
  <!-- on normal click, replace analysis using events -->
  <!-- on modified click (ctrl and or shift), let the browser handle the link -->
  <v-list-item
    link :to="{ query: { }}"
    class="no-active"
    @click.exact.prevent="emitReplaceAnalysis"
  >
    <v-list-item-icon><v-icon>mdi-plus</v-icon></v-list-item-icon>
    <v-list-item-content>
      <v-list-item-title>
        {{ $t('button.newAnalysis') }}
      </v-list-item-title>
    </v-list-item-content>
  </v-list-item>
</template>

<script lang="ts">
import {
  Vue, Component,
} from 'vue-property-decorator';
import { Analysis } from '@/data';

/**
 * Double purpose button, used to replace current analysis,
 * or open a new tab with an empty analysis
 */
@Component
export default class NewAnalysisButton extends Vue {
  emitReplaceAnalysis() {
    // Use replace analysis instead of routing
    this.$emit('replace-analysis', new Analysis([]));
  }
}
</script>
